Bug 1195131 - [RFE] download a docker image with cinder and ceph driver and setup it as a provider for ovirt-engine
Summary: [RFE] download a docker image with cinder and ceph driver and setup it as a p...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: ---
Hardware: Unspecified
OS: Unspecified
medium
low vote
Target Milestone: ---
: ---
Assignee: Simone Tiraboschi
QA Contact: Jiri Belka
URL:
Whiteboard:
Depends On:
Blocks: 1195133
TreeView+ depends on / blocked
 
Reported: 2015-02-23 08:00 UTC by Sandro Bonazzola
Modified: 2019-04-28 11:08 UTC (History)
13 users (show)

Fixed In Version: ovirt-3.6.0-alpha1.2
Doc Type: Enhancement
Doc Text:
Installing a local cinder instance cold be convenient for different reasons. Using a docker container for it simplify the process.
Clone Of:
: 1195133 (view as bug list)
Environment:
Last Closed: 2017-12-03 13:07:26 UTC
oVirt Team: Integration
ylavi: ovirt-future?
ylavi: planning_ack?
ylavi: devel_ack?
ylavi: testing_ack?


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 39519 0 master MERGED packaging: setup: deploy Cinder and Glance Docker containers Never
oVirt gerrit 55484 0 None None None 2016-08-01 08:48:34 UTC

Description Sandro Bonazzola 2015-02-23 08:00:50 UTC
create a docker image with cinder and ceph driver (for now), configure as systemd service as part of setup and add as a provider.

Comment 1 Jiri Belka 2016-02-26 10:27:05 UTC
fail

ovirt-engine-3.6.4-0.0.master.20160224185731.git1fcb5b6.el7.centos.noarch
docker-1.8.2-10.el7.x86_64
ovirt-engine-setup-plugin-dockerc-3.6.4-0.0.master.20160224185731.git1fcb5b6.el7.centos.noarch

there's something wrong with cinder image and no error is logged during setup and thus user could be surprised there is no cinder extension visible in engine's Admin Portal.

imo engine-setup should do checks if appropriate ovirt extension-related service managed by docker works.


# docker images | grep cinder
docker.io/kollaglue/centos-rdo-cinder            kilo                aa8a79666fe9        9 months ago        741.6 MB


# docker logs cinder 2>&1 | head
/start.sh: line 14: check_required_vars: command not found
/start.sh: line 14: check_required_vars: command not found
/start.sh: line 14: check_required_vars: command not found
/start.sh: line 14: check_required_vars: command not found
/start.sh: line 14: check_required_vars: command not found
/start.sh: line 14: check_required_vars: command not found
/start.sh: line 14: check_required_vars: command not found
/start.sh: line 14: check_required_vars: command not found
/start.sh: line 14: check_required_vars: command not found
/start.sh: line 14: check_required_vars: command not found


# engine-setup
...
[ INFO  ] Creating cinder
[ INFO  ] Starting cinder
...

the above is all, the user does not see any check for service functionality.

imo there should be line like:


[ INFO  ] Checking cinder service successful

or

[ ERROR|WARNING ] Checking cinder service failed

cinder should listen on :8776

# printf "GET / HTTP/1.1\n\n" | nc localhost 8776
Ncat: Connection refused.

so maybe checking if this service is available via http could be sufficient.

Comment 2 Red Hat Bugzilla Rules Engine 2016-02-26 10:27:13 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.


Note You need to log in before you can comment on or make changes to this bug.